<?php if (!defined('ABSPATH')) {
  die;
} // Cannot access directly.

//
$prefix_page_opts = '_greet_meta';

//
// Create a metabox
//

CSF::createMetabox($prefix_page_opts, array(
  'title'        => __('Greet Video Options', 'greet-bubble-pro'),
  'post_type'    => array("post", "page", "product"),
  'theme'                   => 'light',
  'show_restore' => true,
));

//
// Create a section
//
CSF::createSection($prefix_page_opts, array(
  'title'  => __('Upload video', 'greet-bubble-pro'),
  'icon'   => 'fas fa-upload',
  'fields' => array(
    array(
      'id'    => 'poster',
      'type'  => 'media',
      'title' => __('Default video poster', 'greet-bubble-pro'),
      'subtitle'  => __('Specifies an image to be shown while the video is downloading, or until the user hits the play button. If this is not included, the first frame of the video will be used instead.', 'greet-bubble-pro'),
      'library' => 'image',
    ),
    array(
      'id'      => 'mp4',
      'type'    => 'media',
      'title'   => __('Upload default Video (mp4)*', 'greet-bubble-pro'),
      'subtitle'  =>  __('If you do not have a mp4 video you may use <a href="http://www.freeconvert.com" target="_blank">this website</a> to convert your current version of video.', 'greet-bubble-pro'),
      'library' => 'video',
    ),

    array(
      'id'    => 'button_text',
      'title' => __('First Button text', 'greet-bubble-pro'),
      'subtitle' => __('Add button text here. If you don\'t want to show the button just keep it blank.', 'greet-bubble-pro'),
      'type'  => 'text',
      'default' => __('Make a booking', 'greet-bubble-pro'),
    ),

    array(
      'id'    => 'button_link',
      'title' => __('First button link', 'greet-bubble-pro'),
      'subtitle' => __('Add link for opening as external link on first button click. Remove link if you want to load second video instead of link.', 'greet-bubble-pro'),
      'type'  => 'link',
    ),

    // Second video
    array(
      'id'      => 'second__video',
      'type'    => 'media',
      'title'   => __('Second video on first button click (mp4)', 'greet-bubble-pro'),
      'subtitle' => __('If you add video here the video will play on first button click', 'greet-bubble-pro'),
      'library' => 'video',
      'dependency' => array('button_link', '==', 'false'),
    ),

    array(
      'id'    => 'button_second_text',
      'title' => __('Second button text', 'greet-bubble-pro'),
      'subtitle' => __('Add button text here. If you don\'t want to show the button just keep it blank.', 'greet-bubble-pro'),
      'type'  => 'text',
    ),

    array(
      'id'    => 'button_second_link',
      'title' => __('Second button link', 'greet-bubble-pro'),
      'subtitle' => __('Put link for opening as external link on second button click. Remove link if you want to load third video instead of link.', 'greet-bubble-pro'),
      'type'  => 'link',
    ),


    // Third video
    array(
      'id'      => 'third__video',
      'type'    => 'media',
      'title'   => __('Third video on button click (mp4)', 'greet-bubble-pro'),
      'subtitle' => __('This video will play on second button click.', 'greet-bubble-pro'),
      'library' => 'video',
      'dependency' => array('button_second_link', '==', 'false'),
    ),

    array(
      'id'    => 'button_third_text',
      'title' => __('Third button text', 'greet-bubble-pro'),
      'subtitle' => __('Add button text here. If you don\'t want to show the button just keep it blank.', 'greet-bubble-pro'),
      'type'  => 'text',
    ),

    array(
      'id'    => 'button_third_link',
      'title' => __('Third button link', 'greet-bubble-pro'),
      'subtitle' => __('Put link for opening as external link on third button click. Remove link if you want to load fourth video instead of link', 'greet-bubble-pro'),
      'type'  => 'link',
    ),

    // Fourth video
    array(
      'id'      => 'fourth__video',
      'type'    => 'media',
      'title'   => __('Fourth video on button click (mp4)', 'greet-bubble-pro'),
      'subtitle' => __('This video will play on third button click.', 'greet-bubble-pro'),
      'library' => 'video',
      'dependency' => array('button_third_link', '==', 'false'),
    ),

  )
));

//
// Create a section
//
CSF::createSection(
  $prefix_page_opts,
  array(
    'title'       => __('Appearance', 'greet-bubble-pro'),
    'icon'        => 'fas fa-desktop',
    'fields' => array(

      array(
        'id'    => 'hi_text',
        'title' => __('Hi text Input', 'greet-bubble-pro'),
        'subtitle' => __('Change small hi text here', 'greet-bubble-pro'),
        'type'  => 'text',
        'default' =>  __('Hi 👋', 'greet-bubble-pro'),
      ),
      array(
        'id'    => 'hi_text_typography',
        'title' => __('Hi text typography', 'greet-bubble-pro'),
        'output'    => '.greet_wrapper .greet_text',
        'type'  => 'typography',
      ),
      array(
        'id'          => 'greet_positon',
        'type'        => 'select',
        'title'       => __('Bubble position', 'greet-bubble-pro'),
        'subtitle' => __('Select bubble position you want to show', 'greet-bubble-pro'),

        'options'     => array(
          'right'     => __('Right', 'greet-bubble-pro'),
          'greet-left'     => __('Left', 'greet-bubble-pro'),
        ),
        'default'     => 'right'
      ),

      array(
        'id'         => 'pause-video',
        'type'       => 'switcher',
        'title'       => __('Pause video when leaving page', 'greet-bubble-pro'),
        'subtitle' => __('Turn on the option to pause video if they switch browser tab. ', 'greet-bubble-pro'),
      ),


      array(
        'id'      => 'border_color',
        'type'    => 'color',
        'title'   => __('Border Color', 'greet-bubble-pro'),
        'subtitle'   => __('Change bubble border color here', 'greet-bubble-pro'),
        'default' => '#7432ff',
      ),

      array(
        'id'      => 'button_type',
        'type'    => 'button_set',
        'title'   => __('Button type', 'greet-bubble-pro'),
        'options' => array(
          'square'    => __('Square', 'greet-bubble-pro'),
          'rounded'   => __('Rounded', 'greet-bubble-pro'),
        ),
        'default' => 'square',
      ),

      array(
        'id'      => 'button_radius',
        'type'    => 'slider',
        'title'   => __('Button radius', 'greet-bubble-pro'),
        'default' => 5,
        'dependency' => array('button_type', '==', 'rounded'),
      ),


      array(
        'id'        => 'buttonsColors',
        'type'      => 'color_group',
        'title'     => __('Buttons colors', 'greet-bubble-pro'),
        'options'   => array(
          'buttons_bg' => __('Backorund', 'greet-bubble-pro'),
          'buttons_color' => __('Text color', 'greet-bubble-pro'),
          'buttons_hover_bg' => __('Background hover', 'greet-bubble-pro'),
          'buttons_hover_color' => __('Hover text color', 'greet-bubble-pro'),
        ),
        'default'   => array(
          'buttons_bg' => '#7432ff',
          'buttons_color' => '#ffffff',
          'buttons_hover_bg' => '#7113ff',
          'buttons_hover_color' => '#ffffff',
        )
      ),
    )
  )
);


//
// Create a section
//
CSF::createSection(
  $prefix_page_opts,
  array(
    'title'       => __('Controls', 'greet-bubble-pro'),
    'icon'        => 'fas fa-eye',
    'fields' => array(

      array(
        'title'   => __('Hide re-play control', 'greet-bubble-pro'),
        'id'      => 'hide_replay',
        'type'    => 'switcher',
        'default' => true,
      ),
      array(
        'title'   => __('Hide mute/unmute control', 'greet-bubble-pro'),
        'id'      => 'hide_mute_unmute',
        'type'    => 'switcher',
        'default' => true,
      ),
      array(
        'title'   => __('Hide fullscreen control', 'greet-bubble-pro'),
        'id'      => 'hide_fullscreen',
        'type'    => 'switcher',
        'default' => true,
      ),
    )
  )
);
